#ifndef DVDPREVIEW_INCLUDE_H
#define DVDPREVIEW_INCLUDE_H

// Defines needed both by the original DVD2AVI code and the DVDPreview class.
#define ID_LEFT_BUTTON                  1
#define ID_LEFT_ARROW                   2
#define ID_RIGHT_ARROW                  3
#define ID_RIGHT_BUTTON                 4
#define ID_TRACKBAR                     5
#define ID_USERPOSITION					0
#define ID_USERINISECTOR				1
#define ID_USERENDSECTOR				2
#define ID_USERINFO						3
#define ID_THREAD_STOPPED				4	// Message sent to parent (if any) when DVD2AVI thread stops.
#define ID_SECTOR_HIT					5	// Message sent to parent (if any) when DVD2AVI hits a sector stop.
#define ID_DAR_CHANGED					6	// Message sent to parent if DAR changed in video.

#define IDM_STOP                        32778
#define IDM_PLAY                        32862
#define IDM_BMP                         32823

#define IDM_INFO                        32786

#define MAX_FILE_NUMBER					256

#endif
