#ifndef MISC_DIALOGS_H
#define MISC_DIALOGS_H

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

	int		m_Timer;
	int		m_count;

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnManual();
	afx_msg void OnHome();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CLogDialog : public CDialog
{
public:
	CLogDialog();

// Dialog Data
	//{{AFX_DATA(CLogDialog)
	enum { IDD = IDD_LOGDIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLogDialog)
	protected:
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CLogDialog)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSavelog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CAdvancedDialog : public CDialog
{
public:
	CAdvancedDialog();

	
	void	EnableUI(bool Enable);
	void	RefreshUI();
	void	UpdateSkips();
	int		m_WarnAboutPreview;		// Let the user know the first time the preview option is checked.

// Dialog Data
	//{{AFX_DATA(CAdvancedDialog)
	enum { IDD = IDD_ADVANCED };
	CCheckListBox	m_VTSList;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAdvancedDialog)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAdvancedDialog)
	afx_msg void OnSubpicfix();
	afx_msg void OnCellstill();
	afx_msg void OnAll();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnNone();
	afx_msg void OnSkipclips();
	afx_msg void OnManualselect();
	afx_msg void OnKillfocusVtslist();
	afx_msg void OnPreviewAll();
	//}}AFX_MSG
	void OnFrame(UINT nID);
	bool OnToolTipNotify( UINT id, NMHDR * pNMHDR, LRESULT * pResult );
	DECLARE_MESSAGE_MAP()
};

class CPathDialog : public CDialog
{
public:
	CPathDialog();
	char	m_PathToShrink[MAX_PATH];
	char	m_PathToPowerDVD[MAX_PATH];

	// These are the full paths for the tools..
	char	m_Tool1[MAX_PATH];
	char	m_Tool2[MAX_PATH];
	char	m_Tool3[MAX_PATH];
	char	m_Tool4[MAX_PATH];
	char	m_Tool5[MAX_PATH];

	// These will contain the short names for the tools. They're used to set the button texts.
	char	m_Tool1N[512];			
	char	m_Tool2N[512];
	char	m_Tool3N[512];
	char	m_Tool4N[512];
	char	m_Tool5N[512];

	void	RefreshUI();
	void	DoSetPath(char* Tool);

	// Dialog Data
	//{{AFX_DATA(CPathDialog)
	enum { IDD = IDD_PATHDIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPathDialog)
	protected:
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CPathDialog)
	afx_msg void OnKillfocusShrinkpath();
	afx_msg void OnKillfocusPreviewpath();
	afx_msg void OnKillfocusF1path();
	afx_msg void OnKillfocusF2path();
	afx_msg void OnKillfocusF3path();
	afx_msg void OnKillfocusF4path();
	afx_msg void OnKillfocusF5path();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	afx_msg void OnSetpath(UINT nID);
};












#endif
